Method: projects.locations.instances.getCertificateAuthority

Mendapatkan detail tentang certificate authority untuk Instance.

Permintaan HTTP


GET https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/instances/*}/certificateAuthority

URL ini menggunakan sintaksis gRPC Transcoding.

Parameter jalur

Parameter
name

string

Wajib. Nama otoritas sertifikat. Format: projects/{project}/locations/{location}/instances/{instance}/certificateAuthority

Isi permintaan

Isi permintaan harus kosong.

Isi respons

Otoritas sertifikat untuk instance.

Jika berhasil, isi respons memuat data dengan struktur berikut:

Representasi JSON
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
Kolom
name

string

ID. Nama unik otoritas sertifikat. Format: projects/{project}/locations/{location}/instances/{instance}

Informasi tentang certificate authority server. Berikut adalah daftar kolom yang bersifat eksklusif satu sama lain. Maksimal satu kolom akan ditetapkan dalam respons:
managedServerCa

object (ManagedCertificateAuthority)

Otoritas sertifikat server terkelola.

Akhir kolom yang saling eksklusif.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write
  • https://www.googleapis.com/auth/memorystore.read-only

Izin IAM

Memerlukan izin IAM berikut pada resource name:

  • memorystore.instances.get

Untuk mengetahui informasi selengkapnya, lihat dokumentasi IAM.

ManagedCertificateAuthority

Otoritas sertifikat terkelola.

Representasi JSON
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
Kolom
caCerts[]

object (CertChain)

Rantai sertifikat CA berenkode PEM untuk autentikasi server terkelola.

CertChain

Rantai sertifikat.

Representasi JSON
{
  "certificates": [
    string
  ]
}
Kolom
certificates[]

string

Sertifikat yang membentuk rantai CA dalam urutan leaf ke root.